#
# SHell script running "Hash In RDN" example
#
function say
{
 echo
 echo "------------------------------------------------------------"
 echo $1
 echo "------------------------------------------------------------"
}

say "Deleting previously created data, if any"
ldapdelete -c -x -p 2389 -h belukha.gre.hp.com "cn=Hi,dc=hashrdn" 

say "Adding the test entry"
ldapadd -c -x -p 2389 -h belukha.gre.hp.com -f dataHashRdn.ldif 

say "Searching for all the entries in the tree"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "dc=hashrdn" -s sub 

say "Searching for the test entry using RDN on the form <attribute name>=<stringvalue>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "cn=Hi,dc=hashrdn" -s base


say "Searching for the test entry using RDN on the form <attribute OID>=<stringvalue>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "2.5.4.3=Hi,dc=hashrdn" -s base


say "Searching for the test entry using RDN on the form <attribute OID>=#<BER encoded value>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "2.5.4.3=#04024869,dc=hashrdn" -s base

say "Searching for the test entry using RDN on the form <attribute name>=#<BER encoded value>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "cn=#04024869,dc=hashrdn" -s base 

say "Searching for the test entry using RDN on the form <attribute OID>=#<Hex value>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "2.5.4.3=#4869,dc=hashrdn" -s base 

say "Searching for the test entry using RDN on the form <attribute name>=#<Hex value>"
ldapsearch -x -p 2389 -h belukha.gre.hp.com -b "cn=#4869,dc=hashrdn" -s base 

